// SPDX-License-Identifier: MIT
pragma solidity ^0.8.2;

import "@openzeppelin/contracts@4.4.0/token/ERC20/ERC20.sol";
import "@openzeppelin/contracts@4.4.0/token/ERC20/extensions/ERC20Snapshot.sol";
import "@openzeppelin/contracts@4.4.0/access/Ownable.sol";

/// @custom:security-contact a.rodriguez@ariswap.com
contract AriSwap is ERC20, ERC20Snapshot, Ownable {
    constructor() ERC20("Ari Swap", "ARI") {
        _mint(msg.sender, 1000000000 * 10 ** decimals());
    }

    function snapshot() public onlyOwner {
        _snapshot();
    }

    // The following functions are overrides required by Solidity.

    function _beforeTokenTransfer(address from, address to, uint256 amount)
        internal
        override(ERC20, ERC20Snapshot)
    {
        super._beforeTokenTransfer(from, to, amount);
    }
}
